Name: txw2
Version: 20110809
Release: %mkrel 15
Group:   Development/Java
Summary: Typed XML writer for Java
License: CDDL and GPLv2 with exceptions
URL: https://txw.dev.java.net

# svn export https://svn.java.net/svn/jaxb~version2/tags/txw2-project-20110809/ txw2-20110809
# tar -zcvf txw2-20110809.tar.gz txw2-20110809
Source0: %{name}-%{version}.tar.gz

# Remove the reference to the parent net.java:jvnet-parent, as no package
# contains that artifact:
Patch0: %{name}-%{version}-pom.patch

# Update to use the version of args4j available in the distribution:
Patch1: %{name}-%{version}-args4j.patch

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(args4j:args4j)
BuildRequires:  mvn(com.sun.codemodel:codemodel)
BuildRequires:  mvn(com.sun.xsom:xsom)
BuildRequires:  mvn(javax.xml.stream:stax-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.kohsuke.rngom:rngom)
BuildRequires:  mvn(relaxngDatatype:relaxngDatatype)

%description
Typed XML writer for Java.

%package javadoc
Summary: Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc license.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 20110809-15.mga6
+ Revision: 978200
- First rebuild of the java stack
- sync package txw2 with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon May 18 2015 luigiwalser <luigiwalser> 20110809-11.mga5
+ Revision: 822336
- obsolete sun-txw2 (duplicate package)

* Wed Jan 21 2015 daviddavid <daviddavid> 20110809-10.mga5
+ Revision: 811763
- fix txw2.jar and txwc2.jar files directory
  * should be installed on %%{_javadir}/ not on %%{_javadir}/%%{name}/ directory

* Sat Jan 10 2015 daviddavid <daviddavid> 20110809-9.mga5
+ Revision: 809801
- build with xmvn
- use .mfiles generated during build
- update BuildRequires
- fix Group

* Sat Oct 18 2014 umeabot <umeabot> 20110809-8.mga5
+ Revision: 784045
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20110809-6.mga4
+ Revision: 519878
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 20110809-5.mga3
+ Revision: 384932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 20110809-4.mga3
+ Revision: 291437
- imported package txw2


* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110809-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 2 2012 Juan Hernandez <juan.hernandez@redhat.com> 20110809-3
- Use the jar names from upstream
- Add comments describing the patches

* Fri Feb 17 2012 Juan Hernandez <juan.hernandez@redhat.com> 20110809-2
- Cleanup of the spec file

* Mon Jan 16 2012 Marek Goldmann <mgoldman@redhat.com> 20110809-1
- Initial packaging
